/***************************************************************************
 *
 * knetworkmanager-connection_setting_ppp_widget.cpp - A NetworkManager frontend for KDE
 *
 * Copyright (C) 2008 Novell, Inc.
 *
 * Author: Will Stephenson <wstephenson@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef KNETWORKMANAGER_CONNECTION_SETTING_PPP_WIDGET_H
#define KNETWORKMANAGER_CONNECTION_SETTING_PPP_WIDGET_H


// qt headers
#include <tqwidget.h>
#include <tqlineedit.h>

// knm headers
#include "knetworkmanager-connection_setting_ppp.h"
#include "knetworkmanager-connection_setting_widget_interface.h"
#include "knetworkmanager-device.h"

//class VPNService;
class ConnectionSettingPppWidget;

namespace ConnectionSettings
{

class Connection;

class PPPWidgetImpl : public WidgetInterface
{
	Q_OBJECT
  TQ_OBJECT
	public:
		PPPWidgetImpl(Connection* conn, TQWidget* parent = NULL, const char* name = NULL, WFlags fl = 0);
		void Activate();
		void Deactivate();
	public slots:
		void dirty();

	private:
		void Init();

		PPP* _pppsetting;
		ConnectionSettingPppWidget* _mainWid;
};

}
#endif /* KNETWORKMANAGER_CONNECTION_SETTING_PPP_WIDGET_H*/
