/***************************************************************************
 *
 * knetworkmanager-menuitem.h - A NetworkManager frontend for KDE 
 *
 * Copyright (C) 2005, 2006, 2008 Novell, Inc.
 *
 * Author:  Helmut Schaa    <hschaa@suse.de>, <helmut.schaa@gmx.de>
 *          Will Stephenson    <wstephenson@suse.de>, <wstephenson@kde.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 **************************************************************************/

#ifndef KNETWORKMANAGER_MENUITEM_H
#define KNETWORKMANAGER_MENUITEM_H

#include <tqobject.h>

class Device;
class NetworkMenuItemPrivate;

namespace ConnectionSettings
{
	class Connection;
}

class NetworkMenuItem : public TQObject
{
	Q_OBJECT
  TQ_OBJECT
	public:
	  NetworkMenuItem  (Device* dev, ConnectionSettings::Connection* conn, TQObject* parent = 0, const char* name = 0);
	  ~NetworkMenuItem ();

	public slots:
		void slotActivate();

	private:
		NetworkMenuItemPrivate* d;
};

#endif /* KNETWORKMANAGER_MENUITEM_H */
